Package: org.codehaus.groovy.grails.cli.fork.compile

## [Groovy] Class ForkedGrailsCompiler

- org.codehaus.groovy.grails.cli.fork.compile.ForkedGrailsCompiler

- Forked implementation of Grails project compiler

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ForkedGrailsProcess` | `DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS, PARENT_PROCESS_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForkedGrailsCompiler (BuildSettings buildSettings)`
    `protected ForkedGrailsCompiler ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `configureFork(BuildSettings buildSettings)`
    `protected java.lang.Object` | `createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)`
    `protected java.lang.String` | `getProjectClassType()`
    `static void` | `main(java.lang.String[] args)`
    `int` | `runInstance(java.lang.Object instance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ForkedGrailsProjectClassExecutor` | `createEventListener, createExecutionContext, createExecutionContext, createInstance, getProjectClassType, initializeProjectInstance, run, runInstance`
    `class ForkedGrailsProcess` | `attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isServerRunning, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startParentAvailabilityServer, startParentPortMonitor, startProjectWatcher, storeExecutionContext, waitForResume`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ForkedGrailsCompiler(BuildSettings buildSettings)

    - #### protected ForkedGrailsCompiler()

  - ### Method Detail

    - #### @java.lang.Override protected void configureFork(BuildSettings buildSettings)

    - #### @java.lang.Override protected java.lang.Object createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)

    - #### @java.lang.Override protected java.lang.String getProjectClassType()

    - #### static void main(java.lang.String[] args)

    - #### @java.lang.Override int runInstance(java.lang.Object instance)